=head1 NAME

B<tabch> - Add, delete or update rows in the database tables.

=head1 SYNOPSIS

B<tabch> [B<-h> | B<--help>]

B<tabch> [B<-v> | B<--version>]

B<tabch> [I<keycolname=keyvalue>] [I<tablename.colname=newvalue>]

B<tabch> [I<keycolname=keyvalue>] [I<tablename.colname+=newvalue>]

B<tabch -d> [I<keycolname=keyvalue>] [I<tablename.colname=newvalue>]

=head1 DESCRIPTION

The tabch command adds, deletes or updates the attribute value in the specified table.column for the specified keyvalue.  The difference between tabch and chtab is tabch runs as a plugin under the xcatd daemon. This give the additional security of being authorized by the daemon. Normally, the given value will completely replace the current attribute value.  But if "+=" is used instead of "=", the specified value will be appended to the coma separated list of the attribute, if it is not already there.


=head1 OPTIONS


B<-h|--help>          Display usage message.

B<-v|--version>          Command Version.

B<-d>          Delete option.



=head1 RETURN VALUE

=over 2

=item 0. 
The command completed successfully.

=item 1. 
An error has occurred.

=back

=head1 EXAMPLES

=over 2

=item 1. 
To add a node=node1 to the nodelist table with groups=all:

 tabch  node=node1 nodelist.groups=all

=item 2. 
To add a keyword (tftpdir) and value (/tftpboot) to the site table:

 tabch  key=tftpdir site.value=/tftpboot


=item 3. 
To add node1 to the  nodetype table with os=rhel5:

 tabch  node=node1 nodetype.os=rhel5


=item 4. 
To change node1 in nodetype table setting os=sles:

 tabch  node=node1 nodetype.os=sles

=item 5. 
To change node1 by appending otherpkgs to the postbootscripts field in the postscripts table:

 tabch node=node1 postscripts.postbootscripts+=otherpkgs

=item 6. 
To delete node1 from nodetype table:

 tabch -d node=node1 nodetype

=back

=head1 FILES

/opt/xcat/sbin/tabch


=head1 SEE ALSO

L<tabdump(8)|tabdump.8>, L<tabedit(8)|tabedit.8>
